CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Mac
Discussion about CrossOver Mac

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

Crossover is not optimized for this version of mac and needs to be updated. Contact the developer for more assistance (10.14.5)
Dashton Peccia
Dashton Peccia Advocate
Posted 2019-05-23 21:05
I just thought I'd post this here since after recently updating my mac to 10.14.5 this message began showing up.  It shows up for Steam (macOS version) as well, so I'm assuming it's probably something Codeweavers is already aware of, but I just thought of pointing it out in case.  

There doesn't seem to be any issue running Crossover 18.5 anyways, as I was able to play Skyrim in 32bit windows still.  Im wondering if this message is preparing us for macOS 10.15...
xgman
xgman
Posted 2019-05-31 13:49
Any idea when the first fully compatible 64 bit mac version will be coming?
Dashton Peccia
Dashton Peccia Advocate
Posted 2019-08-08 09:24
According to other posts here, probably later this year with the release of CrossOver 19.

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi02LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTcwNTQ3NzcwfQ==